## android快速开发框架
********************************************************************************************************************
### 开发框架是根据目前流行的一些开源框架搭建而成的，主要包括如下内容：
#### 1、整体框架：Retrofit+Okhttp+okio+GSON+RXAndroid+Lambda
  网络api请求使用Retrofit管理，网络请求交给Okhttp去执行，在底层使用okio减少了系统消耗。
  使用实例（RXAndroid+Lambda还没有集成实例）：
  
        /** JHava <br>
        *项目名称：FastAndroid<br><br>
        *包名：android.com.fastandroid.network<br>
        *当前类作用：统一管理网络请求<br>
        *作者：longlyboyhe on 2015/11/10 16:02<br>
        *邮箱：longlyboyhe@126.com<br>
        **/
           public class RetrofitHelp {
           public static final String BASE_URL = "http://api.myservice.com";<br/>
           public static RESTApi getApi() {
           if (api == null) {
            OkHttpClient client = new OkHttpClient();
            client.setReadTimeout(12, TimeUnit.SECONDS);
            Retrofit retrofit = new Retrofit.Builder()
                    .baseUrl(BASE_URL)
                    .addConverterFactory(GsonConverterFactory.create())
                    .build();
            api = retrofit.create(RESTApi.class);
         }
         return api;
           }
         }
	 
#### 2、数据库管理GreenDAO（暂未集成）
#### 3、权限管理（6.0中对权限的适配）
    PermissionUtil.java负责对用户权限访问管理。
#### 4、自定义公共的Adapter，只需要传入布局文件id和需要展示的数据
    public abstract class CommonAdapter<T> extends BaseAdapter {
	protected LayoutInflater mInflater;
	protected Context mContext;
	protected List<T> mDatas = new ArrayList<T>();
	protected final int mItemLayoutId;

	public CommonAdapter(Context context, List<T> mDatas, int itemLayoutId) {
		this.mContext = context;
		this.mInflater = LayoutInflater.from(mContext);
		this.mDatas = mDatas;
		this.mItemLayoutId = itemLayoutId;
	}

	/*
	 * 分页时添加数据
	 * 
        */	
	public void addData(List<T> mDatas) {
		this.mDatas.addAll(mDatas);
		notifyDataSetChanged();
	}
	
	/*
	 * 设置或者更新添加数据
	 * 
        */	
	public void setData(List<T> mDatas) {
		this.mDatas = mDatas;
		notifyDataSetChanged();
	}

	@Override
	public int getCount() {
		return mDatas.size();
	}

	@Override
	public T getItem(int position) {
		return mDatas.get(position);
	}

	@Override
	public long getItemId(int position) {
		return position;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		final ViewHolder viewHolder = getViewHolder(position, convertView, parent);
		convert(viewHolder, getItem(position));
		return viewHolder.getConvertView();

	}

	public abstract void convert(ViewHolder helper, T item);

	private ViewHolder getViewHolder(int position, View convertView, ViewGroup parent) {
		return ViewHolder.get(mContext, convertView, parent, mItemLayoutId, position);
	}
    }
  
#### 5、MVP登录实例
#### 6、数据缓存
#### 7、SharedPreferencesHelper工具
#### 8、崩溃日志收集
#### 9、埋点工具类
#### 10、下拉刷新，上拉加载更多组件
#### 11、其它一些常用工具类和基类
 
## Android 开发中的日常积累
### Android 性能优化
 - [Android性能优化视频，文档以及工具](https://github.com/Juude/awesome-android-performance)
 - [胡凯-性能优化](http://hukai.me/blog/archives/)
 - [Android最佳性能实践(1)：合理管理内存](http://blog.csdn.net/guolin_blog/article/details/42238627)
 - [Android最佳性能实践(2)：分析内存的使用情况](http://blog.csdn.net/guolin_blog/article/details/42238633)
 - [Android最佳性能实践(3)：高性能编码优化](http://blog.csdn.net/guolin_blog/article/details/42318689)
 - [Android最佳性能实践(4)：布局优化技巧](http://blog.csdn.net/guolin_blog/article/details/43376527)

### Android Hybrid 技术
 - [浅谈Hybrid技术的设计与实现](http://www.cnblogs.com/yexiaochai/p/4921635.html)
 - [谈谈App混合开发](http://bxbxbai.gitcafe.io/2015/08/16/talk-about-bybird-app/)

### React Native 专题
 - [React-Native学习指南](https://github.com/ele828/react-native-guide)
 - [Facebook的react-native](http://facebook.github.io/react-native/)
 - [React Native: 配置和起步](http://www.liaohuqiu.net/cn/posts/react-native-1/)
 - [React Native: Android 的打包](http://www.liaohuqiu.net/cn/posts/react-native-android-package/)
 - [React Native For Android初体验](http://www.jianshu.com/p/847a54e0c385)
 - [JianDan-React-Native](https://github.com/w4lle/JianDan-React-Native)
 - [React Native For Android 架构初探](http://mp.weixin.qq.com/s?__biz=MzI1MTA1MzM2Nw==&mid=207782506&idx=1&sn=3ff6b03c0d59fbda406f64739d9272cf&scene=1&srcid=1009Q3qo6mLeT2ydjdzUwLQ7&from=groupmessage&isappinstalled=0#rd)
 - [react-native-viewpager](https://github.com/race604/react-native-viewpager)

### Android 加固与反编译
 - [android反编译工具的合集](https://github.com/Juude/droidReverse)
 - [Apktool](http://ibotpeaches.github.io/Apktool/)
 - [dex2jar](http://sourceforge.net/projects/dex2jar/)
 - [DecompileApk](https://github.com/MasonLiuChn/DecompileApk)
 - [Android APK加固技术方案调研](http://www.jianshu.com/p/856bf5b437aa)
 - [Android apk包res 资源混淆工具](https://github.com/joker535/Baffle)
 - [微信资源混淆](https://github.com/shwenzhang/AndResGuard)
 - [美团Android资源混淆保护实践](http://tech.meituan.com/mt-android-resource-obfuscation.html)

### Android Studio专题
 - [Android打包的那些事](http://www.jayfeng.com/2015/11/07/Android%E6%89%93%E5%8C%85%E7%9A%84%E9%82%A3%E4%BA%9B%E4%BA%8B/)
 - [谷歌Gradle官方文档](http://google.github.io/android-gradle-dsl/current/)
 - [idea-live-templates 模板](https://github.com/keyboardsurfer/idea-live-templates)
 - [方法数统计插件，可用于统计是否达到65536个方法](https://github.com/KeepSafe/dexcount-gradle-plugin)
 - [Android-Drawable-Importer插件](https://github.com/winterDroid/android-drawable-importer-intellij-plugin)
 - [GsonFormat Json对应的Bean快速生成插件](https://github.com/zzz40500/GsonFormat)
 - [android-selector-chapek Selector生成插件](https://github.com/inmite/android-selector-chapek)
 - [快速生成butterknife注解插件](https://github.com/avast/android-butterknife-zelezny)
 - [android-material-design-icon-generator图标插件](https://github.com/konifar/android-material-design-icon-generator-plugin)
 - [Retrolambda 在java 6 7中使用 lambda表达式插件](https://github.com/evant/gradle-retrolambda)
 - [Gradle依赖自动补齐插件](https://github.com/ligi/GradleDependenciesHelperPlugin)
 - [idea-markdown编辑器插件](https://github.com/nicoulaj/idea-markdown)
 - [从布局中生成View的声明插件](https://github.com/Haehnchen/idea-android-studio-plugin)
 - [codota代码片段搜索，支持Chrome和Android Studio](https://www.codota.com/)
 - [布局文件分组插件](https://github.com/dmytrodanylyk/folding-plugin)
 - [DPI计算插件](https://github.com/JerzyPuchalski/Android-DPI-Calculator)
 - [gradle-publish 发布库插件](https://github.com/msdx/gradle-publish)
 - [发布lib到jcenter](https://github.com/andforce/release-android-lib-to-jcenter)
 - [vysor 这个是Chrome的插件，电脑操作手机](https://chrome.google.com/webstore/detail/vysor-beta/gidgenkbbabolejbgbpnhbimgjbffefm)
 - [android-studio-tips-tricks-moving-around/](http://www.developerphil.com/android-studio-tips-tricks-moving-around/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-1/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-1/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-2/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-2/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-3/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-3/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-4/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-4/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-5/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-5/)
 - [http://www.developerphil.com/android-studio-tips-of-the-day-roundup-6/](http://www.developerphil.com/android-studio-tips-of-the-day-roundup-6/)
 - [Android Studio插件开发](http://jiajixin.cn/2015/10/11/android-studio-plugin-dev/)
 - [Android SDK镜像服务器搭建](http://jiajixin.cn/2015/10/11/android-sdk-mirror/)

### RxJava与RxAndroid学习资源
 - [RxJava Github地址](https://github.com/ReactiveX/RxJava/)
 - [RxAndroid Github地址](https://github.com/ReactiveX/RxAndroid)
 - [RxJava中文文档翻译](https://github.com/mcxiaoke/RxDocs)
 - [Awesome-RxJava](https://github.com/lzyzsd/Awesome-RxJava)
 - [在正确的线程上观察](http://www.jianshu.com/p/72911b9ba2d7)
 - [给 Android 开发者的 RxJava 详解](http://gank.io/post/560e15be2dca930e00da1083)

### Android 开发中值得看的优秀内容和工具
 - [Android打包的那些事](http://www.jayfeng.com/2015/11/07/Android%E6%89%93%E5%8C%85%E7%9A%84%E9%82%A3%E4%BA%9B%E4%BA%8B/)
 - [InfoQAndroid周报](http://www.infoq.com/cn/android-weekly/)
 - [开发技术前线](http://www.devtf.cn/)
 - [美团Android DEX自动拆包及动态加载简介](http://tech.meituan.com/mt-android-auto-split-dex.html)
 - [Android官方培训课程中文版](https://github.com/kesenhoo/android-training-course-in-chinese)
 - [一个定期翻译国外Android优质的技术、开源库、软件架构设计、测试等文章的开源项目](https://github.com/bboyfeiyu/android-tech-frontier)
 - [Android Guides](https://github.com/codepath/android_guides)
 - [Android 开源项目源码解析](https://github.com/android-cn/android-open-project-analysis)
 - [Android 图像处理教学](http://chiuki.github.io/android-shaders-filters)
 - [Android 开源项目分类汇总](https://github.com/Trinea/android-open-project) 
 - [开发过程中遇到的坑](https://github.com/simple-android-framework-exchange/the-fucking-traps-in-android-dev)
 - [Android 开源交流](https://github.com/aosp-exchange-group/share)
 - [Android 著名开源库的简版实现](https://github.com/simple-android-framework-exchange/simple-android-opensource-framework)
 - [Android 问题交流讨论，大部分是面试题](https://github.com/android-cn/android-discuss) 
 - [android 设计模式](https://github.com/simple-android-framework-exchange/android_design_patterns_analysis)
 - [Android 全国职位列表](https://github.com/android-cn/android-jobs)
 - [fuck-2014-flirt-2015](https://github.com/aosp-exchange-group/fuck-2014-flirt-2015)
 - [AndroidDevTools开发相关资料下载](http://www.androiddevtools.cn/)
 - [android-best-practices最佳实践](https://github.com/futurice/android-best-practices)
 - [java设计模式](https://github.com/iluwatar/java-design-patterns)
 - [Android最佳实践示例](https://github.com/tianzhijiexian/Android-Best-Practices)
 - [Android 中 Java 与JavaScript 交互最详尽的总结](http://droidyue.com/blog/2014/09/20/interaction-between-java-and-javascript-in-android/?comefrom=http://blogread.cn/news/)
 - [如何为drawable着色](http://www.jcodecraeer.com/a/anzhuokaifa/androidkaifa/2015/0824/3356.html)
 - [Drawable 着色的后向兼容方案](http://www.race604.com/tint-drawable/)
 - [Awesome-MaterialDesign](https://github.com/lightSky/Awesome-MaterialDesign)
 - [Android 面试题InterviewQuestion](https://github.com/lizhangqu/InterviewQuestion)
 - [awesome-android](https://github.com/JStumpp/awesome-android)
 - [Retrofit相关文章](https://futurestud.io/blog/retrofit-getting-started-and-android-client/)
 - [Lite Android](http://litesuits.com/)
 - [Bugly Blog](http://bugly.qq.com/blog/)

 
### Android 开源软件
 - [一个第三方开源微博](https://github.com/wangdan/AisenWeiBo)
 - [android相关的干货(文摘，名博，github等等)](https://github.com/openproject/AndroidDigest)
 - [第三方github客户端](https://github.com/Leaking/WeGit)
 - [开源中国的系列软件](http://git.oschina.net/oschina/)
 - [体重档案](https://github.com/Jhuster/EWeightScale)
 - [Simplifyreader](http://skillcollege.github.io/SimplifyReader/)
 - [西源坊](https://github.com/lzjun567/XiYuanFangApp)


### Android 开发辅助工具
 - [Google Play APK下载器](http://apps.evozi.com/apk-downloader/)
 - [slideshare](http://www.slideshare.net/)
 - [codota代码片段搜索，支持Chrome和Android Studio](https://www.codota.com/)
 - [vysor 这个是Chrome的插件，电脑操作手机](https://chrome.google.com/webstore/detail/vysor-beta/gidgenkbbabolejbgbpnhbimgjbffefm)
 - [Browser extension to display GitHub code in tree format](https://github.com/buunguyen/octotree)
 - [google hosts翻墙，有vpn的忽略](http://laod.cn/hosts/2015-google-hosts.html)
 - [开源中国在线工具](http://tool.oschina.net/)
 - [百度ApiStore](http://apistore.baidu.com/)
 - [Vim插件](https://github.com/vim-scripts/Auto-Pairs)
 - [强迫症的 Mac 设置指南](https://github.com/macdao/ocds-guide-to-setting-up-mac)

 
### Android 推送（含IM）
 - [环信，支持即时音视频](http://www.easemob.com/)
 - [腾讯云通讯，支持即时音视频](http://www.qcloud.com/product/avc.html)
 - [极光推送和IM](https://www.jpush.cn/)
 - [个推](http://www.getui.com/)
 - [小米推送，在MIUI上属于系统服务框架，共享系统级长连接](http://dev.xiaomi.com/doc/?page_id=1670)
 - [百度云推送,部分机型收不到推送，如小米，Bug是否修复未知](http://push.baidu.com/)
 - [腾讯信鸽推送](http://xg.qq.com/xg/)
 - [友盟推送](https://www.umeng.com/push)
 - [leancloud](https://leancloud.cn/)
 - [bmob云推送，含IM](http://www.bmob.cn/products)
 - [蘑菇街TeamTalk](https://github.com/mogujie/TeamTalk)
 - [Openfire+Smack开源Xmpp解决方案](http://www.igniterealtime.org/downloads/index.jsp)
 
 
### Android后端等服务
 - [parse，缺点是服务器在国外，速度慢](https://parse.com/)
 - [leancloud，国内的，仿parse](https://leancloud.cn/)
 - [Bmob后端云](http://www.bmob.cn/)
 - [七牛云存储](http://www.qiniu.com/)
 - [apicloud](http://www.apicloud.com/)
 
### Android 应用内测平台
 - [蒲公英，内测应用](http://www.pgyer.com/)
 - [Fir.im，内测应用](http://fir.im/)

### Android社会化分享，短信验证，意见反馈，支付等相关

 - [友盟,社会化分析，意见反馈](http://www.umeng.com/)
 - [Sharesdk，社会化分析](http://mob.com/)
 - [Ping++，支付](https://pingxx.com)
 - [bmob支付，Bmob为广大开发人员提供的统一、正规的收费手段，让没有企业认证的个人开发者，也能通过支付宝和微信向用户收费](http://docs.bmob.cn/androidpay/index.html?menukey=fast_start&key=start_android_pay)
 - [容联云通讯](http://www.yuntongxun.com/ability/toPriceTariff)

### 安卓网络层(包含图片)
 - [okhttp](https://github.com/square/okhttp)
 - [retrofit](https://github.com/square/retrofit)
 - [picasso](http://square.github.io/picasso/)
 - [Volley](https://android.googlesource.com/platform/frameworks/volley)
 - [fresco](https://github.com/facebook/fresco)
 - [Android-Universal-Image-Loader](https://github.com/nostra13/Android-Universal-Image-Loader)
 - [robospice](https://github.com/stephanenicolas/robospice)
 - [android-async-http](http://loopj.com/android-async-http/)


### 安卓orm框架，用得比较多的就GreenDao，Ormlite
 - [greenDAO](http://greendao-orm.com/)
 - [ORMLite](http://ormlite.com/sqlite_java_android_orm.shtml)
 - [ActiveAndroid](https://github.com/pardom/ActiveAndroid/wiki/Getting-started )
 - [SugarORM](http://satyan.github.io/sugar/index.html)
 - [Siminov](http://siminov.github.io/android-orm/)
 - [androrm](http://www.androrm.net/)
 - [cupboard](https://bitbucket.org/qbusict/cupboard/wiki/GettingStarted)
 
### 安卓Json解析
 - [Gson,用法简单，速度慢](https://github.com/google/gson)
 - [fastjson，号称最快](https://github.com/alibaba/fastjson)
 - [jackson](https://github.com/FasterXML/jackson)
 

### Android插件化开发与动态加载
 - [OpenAtlas，已改名为ACDD，可以在手机淘宝中见到踪影](https://github.com/bunnyblue/ACDD)
 - [360的DroidPlugin](https://github.com/Qihoo360/DroidPlugin)
 - [dynamic-load-apk](https://github.com/singwhatiwanna/dynamic-load-apk)
 - [携程DynamicAPK](https://github.com/CtripMobile/DynamicAPK)
 - [美团分包](http://tech.meituan.com/mt-android-auto-split-dex.html)
 - [微信/手Q加载方案](http://mp.weixin.qq.com/s?__biz=MzAwNDY1ODY2OQ==&mid=207151651&idx=1&sn=9eab282711f4eb2b4daf2fbae5a5ca9a&3rd=MzA3MDU4NTYzMw==&scene=6#rd)

### Android 热更新
 - [dexposed](https://github.com/alibaba/dexposed)
 - [AndFix](https://github.com/alibaba/AndFix)
 - [QQ空间热修复](http://mp.weixin.qq.com/s?__biz=MzI1MTA1MzM2Nw==&mid=400118620&idx=1&sn=b4fdd5055731290eef12ad0d17f39d4a&scene=0#wechat_redirect)
 - [QQ空间热修复实现方案](https://github.com/dodola/HotFix)
 - [Nuwa 女娲](https://github.com/jasonross/Nuwa)

### 安卓开发值得关注的库
 - [SugarTask](https://github.com/mthli/SugarTask)
 - [sync adapter](https://github.com/taoliuh/v2ex)
 - [Android Weak Handler防止内存泄露](https://github.com/badoo/android-weak-handler)
 - [Android Priority Job Queue 异步任务调度](https://github.com/path/android-priority-jobqueue)
 - [Android对话框](https://github.com/H07000223/FlycoDialog_Master)
 - [扩展的RecyclerView，拥有添加头、底等多种操作](https://github.com/tianzhijiexian/ExRecyclerView/)
 - [MaterialDesign相关库](https://github.com/lightSky/Awesome-MaterialDesign)
 - [右滑返回SwipeBackLayout](https://github.com/ikew0ng/SwipeBackLayout)
 - [百分比布局](https://github.com/JulienGenoud/android-percent-support-lib-sample)
 - [EventBus](https://github.com/greenrobot/EventBus)
 - [ObservableScrollView](https://github.com/ksoichiro/Android-ObservableScrollView/)
 - [工具库less code, more efficient for android](https://github.com/openproject/LessCode)
 - [通用适配器](https://github.com/JoanZapata/base-adapter-helper)
 - [android-log](https://github.com/SnowdreamFramework/android-log)
 - [NineOldAndroids](http://nineoldandroids.com/)
 - [BadgeView ](https://github.com/jgilfelt/android-viewbadger)
 - [CircleImageView](https://github.com/hdodenhof/CircleImageView)
 - [CustomShapeImageView](https://github.com/MostafaGazar/CustomShapeImageView)
 - [SweetAlert for Android, a beautiful and clever alert dialog](https://github.com/pedant/sweet-alert-dialog)
 - [android-pulltorefresh](https://github.com/johannilsson/android-pulltorefresh)
 - [SlidingMenu](https://github.com/jfeinstein10/SlidingMenu)
 - [ViewPagerIndicator](https://github.com/JakeWharton/ViewPagerIndicator)
 - [一个动画集合库](https://github.com/daimajia/AndroidViewAnimations)
 - [FontAwesome for Android](https://github.com/JoanZapata/android-iconify)
 - [RecyclerView made simple](https://github.com/lucasr/twoway-view)
 - [jsoup库(java)](http://jsoup.org/)
 - [android-wheel](https://github.com/maarek/android-wheel)
 - [xUtils](https://github.com/wyouflf/xUtils)
 - [android-common](https://github.com/Trinea/android-common)
 - [zxing](https://github.com/zxing/zxing)
 - [Android开发常用整理](https://github.com/wangjiegulu/AndroidBucket)
 - [左滑粒子删除效果](https://github.com/ZhaoKaiQiang/ParticleLayout)
 - [JSON Server：零编码快速“伪造” REST API](https://github.com/typicode/json-server)
 - [owncloud](https://github.com/owncloud/)

 
### 安卓资源相关
 - [安卓每个版本的Drawable图标](http://androiddrawables.com/)
 - [FontAwesome字体图标安卓字符串](https://github.com/liltof/font-awsome-for-android)
 - [色系](http://www.google.com/design/spec/style/color.html)
 - [颜色库](https://github.com/MatthewYork/Colours)
 - [IconFinder图标资源](https://www.iconfinder.com/)
 - [阿里巴巴矢量图](http://www.iconfont.cn/)
 - [icomoon](https://icomoon.io/app/#/select)
 - [AndroidAssetStudio](http://romannurik.github.io/AndroidAssetStudio/)
 - [Android Holo颜色生成器](http://android-holo-colors.com/)
 - [Android Action Bar Style Generator](http://jgilfelt.github.io/android-actionbarstylegenerator/)
 - [在线.9.png图片生成器](http://romannurik.github.io/AndroidAssetStudio/nine-patches.html)
 - [安卓button在线制作工具](http://angrytools.com/android/button/)
 - [Theme.xml属性](http://omapzoom.org/?p=platform/frameworks/base.git;a=blob;f=core/res/res/values/themes.xml;hb=master)
 - [移动APP云计算平台Parse](https://www.parse.com/)

### git
 - [Git教程](http://www.liaoxuefeng.com/wiki/0013739516305929606dd18361248578c67b8067c8c017b000)
 - [用 Git Hooks 进行自动部署](http://segmentfault.com/a/1190000003836345?utm_source=Weibo&utm_medium=shareLink&utm_campaign=socialShare)


### Android NoSql

 - [realm-java](https://github.com/realm/realm-java)
 - [couchbase-lite-android](https://github.com/couchbase/couchbase-lite-android)
 - [SimpleNoSQL](https://github.com/Jearil/SimpleNoSQL)
 - [SnappyDB](https://github.com/nhachicha/SnappyDB/)

### 设计网站，可以寻找一些酷炫的设计稿

 - [https://dribbble.com/](https://dribbble.com/)
 - [http://pttrns.com/](http://pttrns.com/)
 - [http://capptivate.co/](http://capptivate.co/)

### 国外个人博客
 - [Jakewharton](http://jakewharton.com/blog)
 - [Romain Guy](http://www.curious-creature.com/)
 - [Cyril Mottier](http://cyrilmottier.com/)
 - [Mark Allison](http://blog.stylingandroid.com/)
 - [Daniel Lew](http://blog.danlew.net/)
 - [Ravi Tamada](http://www.androidhive.info/)
 - [Chris Nash](http://loseyourmarbles.co/about-me/)
 - [juhani@fatrobot.io](http://www.androiduipatterns.com/)
 - [Wolfram Rittmeyer](http://www.grokkingandroid.com/)
 - [Rich Hyndman](http://geekyouup.blogspot.com/)


### 国外的一些优秀网站
 - [androidweekly.net](http://androidweekly.net/)
 - [Android Developers Blog](http://android-developers.blogspot.ca/)
 - [vogella](http://www.vogella.com/tutorials/android.html)
 - [tutorialspoint](http://www.tutorialspoint.com/android/)
 - [tutsplus](http://code.tutsplus.com/categories/android-sdk)
 - [oderzheaven](http://www.coderzheaven.com/android-tutorials/)
 - [thenewcircle](https://thenewcircle.com/training/android/)
 - [coreservlets](http://www.coreservlets.com/android-tutorial/)
 - [Droid-Blog](http://droid-blog.net/)
 - [coursera.org](https://www.coursera.org/)
 - [commonsware.com](http://commonsware.com/blog/archive.html)
 - [http://android.amberfog.com/](http://android.amberfog.com/)
 - [anddev](http://www.anddev.org/)


### Ibeacon与蓝牙4.0相关
 - [一个ibeacon交互库](https://github.com/AltBeacon/android-beacon-library)
 - [AprilBeacon-Android-sdk](https://github.com/AprilBrother/AprilBeacon-Android-SDK)
 - [Estimote SDK](https://github.com/Estimote/Android-SDK)
 - [蓝牙4.0相关](https://github.com/devunwired/accessory-samples)


### WEB与前端相关
 - [yii](http://www.yiichina.com/)
 - [yiibooster](http://yiibooster.clevertech.biz/)
 - [wechat-php-sdk](https://github.com/dodgepudding/wechat-php-sdk)
 - [php_sae_storage](https://github.com/acczefly/php_sae_storage)
 - [Bootstrap](http://www.bootcss.com/)
 - [Font-Awesome字体图标](https://github.com/FortAwesome/Font-Awesome)
 - [sublime浏览器前缀插件](https://github.com/sindresorhus/sublime-autoprefixer)
 - [一个手势库](https://github.com/mattbryson/TouchSwipe-Jquery-Plugin)
 - [bootstrap-filestyle](https://github.com/markusslima/bootstrap-filestyle)
 - [基于Codeigniter的CMS系统](https://github.com/znddzxx112/bitcms)
